<!DOCTYPE html>
<html lang="en">
    <head>
        <meta charset="UTF-8" />
        <link rel="icon" type="image/png" href="/favicon.png" />
        <meta name="viewport" content="width=device-width, initial-scale=1.0" />
        <title>Chatbot.io - Olivier DRIEUX</title>
    </head>
    <body id="app" class="flex h-screen w-screen flex-col bg-gray-50">
        <header class="bg-orange-400">
            <nav class="mx-auto flex items-center justify-between p-2">
                <a href="#" class="flex flex-row items-center gap-6 p-2 text-white">
                    <h1 class="text-xl font-bold">Chatbot.io - Olivier DRIEUX</h1>
                </a>
                <div id="clearMessages" class="mr-4 h-full cursor-pointer text-xs" title="Supprimer les messages">
                    <svg
                        class="sm h-6 w-6 fill-orange-50 duration-150 ease-in-out hover:scale-125"
                        xmlns="http://www.w3.org/2000/svg"
                    >
                        <path
                            d="M6 19c0 1.1.9 2 2 2h8c1.1 0 2-.9 2-2V7H6v12zm2.46-7.12l1.41-1.41L12 12.59l2.12-2.12 1.41 1.41L13.41 14l2.12 2.12-1.41 1.41L12 15.41l-2.12 2.12-1.41-1.41L10.59 14l-2.13-2.12zM15.5 4l-1-1h-5l-1 1H5v2h14V4z"
                        />
                    </svg>
                </div>
            </nav>
        </header>

        <div class="flex grow flex-col overflow-y-auto lg:flex-row">
            <div class="bg-orange-100 p-5 lg:w-1/6">
                <h1 class="mb-3 text-xl">Utilisateurs</h1>
                <div id="usersContainer" class="flex flex-col gap-2">
                    <!-- Users will be displayed here -->
                </div>
            </div>
            <div class="flex h-full flex-col justify-between lg:w-5/6">
                <div id="messages" class="flex flex-col space-y-4 overflow-y-auto scroll-smooth p-3">
                    <!-- Messages will be displayed here -->
                </div>
                <div class="mb-2 flex border-t-2 border-gray-200 p-4 px-4 sm:mb-0">
                    <input
                        id="inputMessage"
                        type="text"
                        placeholder="Écrire un message"
                        class="w-full rounded-md bg-gray-200 py-3 pl-4 pr-10 text-gray-600 placeholder-gray-600 focus:placeholder-gray-400 focus:outline-none"
                    />
                    <button
                        id="buttonMessage"
                        type="button"
                        class="-ml-6 mr-2 inline-flex items-center rounded-lg bg-orange-400 px-5 py-2.5 text-center text-sm font-medium text-white hover:bg-orange-500 focus:ring-4 focus:ring-orange-300"
                    >
                        <span class="font-bold">Envoyer</span>
                        <svg
                            xmlns="http://www.w3.org/2000/svg"
                            viewBox="0 0 20 20"
                            fill="currentColor"
                            class="ml-2 h-6 w-6 rotate-90 transform"
                        >
                            <path
                                d="M10.894 2.553a1 1 0 00-1.788 0l-7 14a1 1 0 001.169 1.409l5-1.429A1 1 0 009 15.571V11a1 1 0 112 0v4.571a1 1 0 00.725.962l5 1.428a1 1 0 001.17-1.408l-7-14z"
                            />
                        </svg>
                    </button>
                </div>
            </div>
        </div>
        <script type="module" src="/src/main.js"></script>
    </body>
</html>
